# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.DeleteShard

Packages that use CollectionAdminRequest.DeleteShard
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.DeleteShard in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.DeleteShard
Modifier and Type
Method
Description
`static CollectionAdminRequest.DeleteShard`
CollectionAdminRequest.`deleteShard(String collection, String shard)`
Returns a SolrRequest to delete a shard from a collection
`CollectionAdminRequest.DeleteShard`
CollectionAdminRequest.DeleteShard.`setDeleteDataDir(Boolean deleteDataDir)`
`CollectionAdminRequest.DeleteShard`
CollectionAdminRequest.DeleteShard.`setDeleteInstanceDir(Boolean deleteInstanceDir)`